import request from '@/utils/request'

// 查询财金监管-财政行政处罚信息列表
export function listPenalty(query) {
    return request({
        url: '/crmFinanceSupervisionFiscalPenalty/findByPage',
        method: 'get',
        params: query
    })
}

// 查询财金监管-财政行政处罚信息详细
export function getPenalty(id) {
    return request({
        url: '/crmFinanceSupervisionFiscalPenalty/' + id,
        method: 'get'
    })
}

// 新增财金监管-财政行政处罚信息
export function addPenalty(data) {
    return request({
        url: '/crmFinanceSupervisionFiscalPenalty',
        method: 'post',
        data: data
    })
}

// 修改财金监管-财政行政处罚信息
export function updatePenalty(data) {
    return request({
        url: '/crmFinanceSupervisionFiscalPenalty',
        method: 'put',
        data: data
    })
}

// 删除财金监管-财政行政处罚信息
export function delPenalty(id) {
    return request({
        url: '/crmFinanceSupervisionFiscalPenalty/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delPenaltyBatch(ids) {
    console.log(ids);
    return request.post('/crmFinanceSupervisionFiscalPenalty/delete',ids)
}